Subject: [PATCH v2, RFC] RTC: PXA: Fix regression of interrupt before ioremap

From: [email-masked] (Robert Jarzmik)
Date: Sat, 07 Feb 2015 14:13:40 +0100

Petr Cvek <[email-masked]> writes:

> I was thinking more about setting alarm, ending the OS (and all processes),
> powering down DRAM, SRAM etc. and then waiting for alarm (like x86 BIOS alarm)
> to restart.
Ah yes, this is a case I have not considered before.
Yet I fail to see what the open/close removal patch fixes.

>> Yes, true, yet how do you set on a specific RTC block the alarm if you have many
>> of them on the system ?
>
> I thought it should be possible with ioctl with appropriate /dev/rtcX opened or /sys/class/rtc/rtcX/wakealarm . 
>
> It seems driver still does not work properly (with reverted patch). For first
> run the /sys/class/rtc/rtcX/wakealarm file is not created, but it is created for
> next reload of rtc-pxa module. And it seems that it is caused by .can_wakeup
> somewhere.
Do you know why, and would you have a patch for that ?

Cheers.

-- 
Robert